Last modified: 2012-10-30 16:17:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 41125 - Raise $wgMaxImageArea to 25 megapixels
Raise $wgMaxImageArea to 25 megapixels
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 18:53 UTC by Maarten Dammers
Modified: 2012-10-30 16:17 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Maarten Dammers 2012-10-17 18:53:03 UTC
At the moment Tiff files are only rendered if the file is 12.5 megapixels or less. This limit has been in place for quite some time and has proved to be sufficient for quite some files, but the limit is too low for a lot of other files.

Please raise the limit to 25 megapixels. This covers most files from GLAM/archival sources.
Comment 1 Maarten Dammers 2012-10-17 19:09:23 UTC
Talked with Duesentrieb and Reedy about this on irc.

Tiff rendering is done by https://www.mediawiki.org/wiki/Extension:PagedTiffHandler . It contains "$wgTiffMaxEmbedFileResolution" but that doesn't seem to be set anywhere.

It looks like http://www.mediawiki.org/wiki/Manual:$wgMaxImageArea is the one that would need to be raised.
Comment 2 Sam Reed (reedy) 2012-10-17 19:14:38 UTC
Increase $wgMaxImageArea to 1.4e7...
Comment 3 Maarten Dammers 2012-10-17 20:04:15 UTC
Sam raised the limit on test to 2.5e7 and now https://test.wikipedia.org/wiki/File:Bladiedadsf027118pu.tif renders properly.
Comment 4 Dominic 2012-10-17 21:24:07 UTC
Since we are raising the megapixel limit, it would be nice to see some movement on bug 29967 to make these large files more friendly to users.
Comment 5 Maarten Dammers 2012-10-18 19:36:47 UTC
Updated the title to what I think needs to happen (raise $wgMaxImageArea).
Comment 6 Sam Reed (reedy) 2012-10-21 01:32:36 UTC
Up to 20 on the cluster... No problems seemingly noticed so far!
Comment 7 Sam Reed (reedy) 2012-10-23 17:21:20 UTC
Done
Comment 8 Andre Klapper 2012-10-30 16:17:41 UTC
See bug 41511 for followup fallout.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links